//RAP BOT

String [] textIn; //array to take text
String phrase; //phrase to say
int phraseNum;  //phrase counter
int rapSpeed = 150;
int counter=0;
PFont font; 

void setup() {
  size(800, 160);
  smooth();
  textIn = loadStrings("rhymes.txt"); //load in text file
  //the loadStrings function will load each line into a position of the array
  font = createFont("Handwriting-Dakota", 60); 
  textFont(font); 
  phrase = textIn[0]; //put first phrase into first position
  text(phrase, 0, 100);
  TextToSpeech.say(phrase, TextToSpeech.voices[1], rapSpeed); //call text to speech function from class
}

void draw() {

  println("counter="+counter);
  //when counter is zero - trigger speech
  if (counter==0) {     
    background(0);//refresh background

    phraseNum++; //go to next line
    println("phraseNum="+phraseNum); 
    say(); //say function

    counter=100; //restart counter, this detirmines time for each line.
  }
  counter--; //count down

  if (phraseNum == textIn.length-1) { //if we are at the end of our phrase array
    phraseNum = 0; //restart at zero
  }

  phrase = textIn[phraseNum]; //load phrase from array
  text(phrase, 0, 100); //write phrase to screen
}

//function that calls class and says phrase. 
void say() { 
  //call the say function from the class. 
  //first argument is the phrase, second argument is the voice selection, third is the speed.
  TextToSpeech.say(textIn[phraseNum], TextToSpeech.voices[1], 150);
}

